Bug 521659 - C-/ and C-M-/ no longer work in xemacs
Summary: C-/ and C-M-/ no longer work in xemacs
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xemacs
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-07 13:45 UTC by Ed Avis
Modified: 2010-06-28 14:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:31:11 UTC


Attachments (Terms of Use)

Description Ed Avis 2009-09-07 13:45:21 UTC
I am running xemacs on Fedora 11.  Normally typing C-M-/ (Ctrl-Alt-slash) will
complete the word at point.  After a recent 'yum upgrade' this no longer works.
I typed 'C-h k C-M-/' on the keyboard to see what keystroke xemacs thinks it
is getting, and it reports C-M-_.  In other words Ctrl-Alt-slash has somehow
become Ctrl-Alt-underscore.

Similarly, C-/ is getting through to xemacs as BS (backspace).

I can reproduce this at the local text console, so it can't be X11 related.

It might be related to the packaging of xemacs-21.5.29, but I had previously
backported 21.5.29 from Fedora 12 (by rebuilding the SRPM) and did not see this
problem.  Then it started happening after a 'yum upgrade', which upgraded various
things but not my home-built xemacs package.  So I think it might be a change
somewhere else which has broken xemacs's ability to recognize C-/ and C-M-/.

I use a UK layout keyboard.  Other characters on the keyboard such as @ and "
work fine, so I don't think it is because the keyboard layout info has been lost.

Comment 1 Jerry James 2009-09-07 17:30:18 UTC
Thanks for the report, Ed.  I'm going to need some help from you, because I cannot reproduce this.  I use a US layout keyboard, which may be significant.

Today's a US holiday and my wife is about to drag me off for some family fun, so I won't look at this until tomorrow.  However, I will find where the keys are decoded, and probably ask you to do a few tests for me so we can determine where the problem lies.

One thing you can do right away: does "xemacs -vanilla" show the same behavior?

Comment 2 Ed Avis 2009-09-08 11:59:26 UTC
Yes, xemacs -vanilla produces the same behaviour.

If I can get hold of a US keyboard I will test with that.

Comment 3 Jerry James 2009-09-08 16:50:40 UTC
Does xev report Control_L, Alt_L, and slash KeyPress and KeyRelease events when you press C-M-/?

I'm going to try walking you up the stack of layers that read and process key events, until we find the one where the behavior of your system deviates from mine.  I hope this isn't too tedious for you, but since I can't reproduce, I don't know how else to debug it.  Although I suppose I could try to make a user account with a UK locale in a VM....

Comment 4 Jerry James 2009-09-08 17:05:21 UTC
I made a user account with a UK keyboard in a Rawhide VM, but I still can't reproduce, which suggests that you are right about the UK keyboard not being significant.

Are you doing anything with xmodmap, xkeycaps, etc.?

Comment 5 Ed Avis 2009-09-09 12:04:47 UTC
This is reproducible at the local console so it can't be anything to do with xmodmap, xkeycaps, or any other X11 settings.  For the same reason I think xev is not relevant?

I will, however, try to reproduce it on a different machine.

Comment 6 Jerry James 2009-10-29 18:35:21 UTC
Sorry, this fell off my radar.  Do you happen to have the xemacs-aplus-fsf package installed?  If not, I've fixed a bunch of other bugs in XEmacs since you first reported this bug.  It might be worth trying the latest build to see if the bug is still present:

http://koji.fedoraproject.org/koji/buildinfo?buildID=138912

Comment 7 Bug Zapper 2010-04-28 10:12:53 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2010-06-28 14:31:11 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.